### guns/tick_gun

# get gun stats
execute store result score .swapTime gunStats run data get storage gun gunStats.swapTime
execute if score .ammoStatsLoaded gunStats matches 0 run function cod:guns/stats/get_ammo
execute if score .classStatsLoaded gunStats matches 0 run function cod:guns/stats/get_class

# stop burst fire
scoreboard players set @s[scores={autoFire=1..}] autoFire 0

# stop reload and start auto reload if no ammo
scoreboard players set @s[scores={relRepeat=1..}] relRepeat 0
execute if score .gunId gunStats matches 1.. run item modify entity @s weapon.mainhand cod:guns/set_name
execute if score .ammoClip gunStats matches ..0 if score .ammoReserve gunStats matches 1.. run scoreboard players set @s autoReload 10

# remove sprinter tag to allow swapTime cooldown to decrement
tag @s[tag=sprinter] remove sprinter

# stop equipment hold
scoreboard players set @s[scores={holdEq=1..}] holdEq 0

# remove previous gun movement speed debuff
attribute @s[scores={class=10..19}] generic.movement_speed modifier remove 1-2-5-0-0
attribute @s[scores={class=24..27}] generic.movement_speed modifier remove 1-4-0-0-0
attribute @s[scores={class=28..31}] generic.movement_speed modifier remove 1-2-5-0-0
execute if score @s class matches 37..44 unless score @s class matches 41..42 run attribute @s generic.movement_speed modifier remove 1-7-8-0-0

# add new gun movement speed debuff
execute if score .class gunStats matches 10..19 run attribute @s generic.movement_speed modifier add 1-2-5-0-0 "ARSR" -0.005 add
execute if score .class gunStats matches 24..27 run attribute @s generic.movement_speed modifier add 1-4-0-0-0 "LMG" -0.0125 add
execute if score .class gunStats matches 28..31 run attribute @s generic.movement_speed modifier add 1-2-5-0-0 "ARSR" -0.005 add
execute if score .class gunStats matches 37..44 unless score .class gunStats matches 41..42 run attribute @s generic.movement_speed modifier add 1-7-8-0-0 "RLX" -0.02 add

# set new class stat for next time
scoreboard players operation @s class = .class gunStats

# set cooldown to swaptime
scoreboard players operation @s cooldown = .swapTime gunStats

# edit cmd
function cod:guns/cmd/cd_cmd